/* 
 * battwd, a battery watcher daemon that acting at different power levels.
 * Copyright (C) 2012 Alfonso García
 *
 * battwd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * battwd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with battwd.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "global.h"

/** 
 * Main finction
 */
int main(int argc, char *argv[])
{
  int opt;
  extern volatile int daemon_flag;
  
  daemon_flag = 0;
  
  while ((opt = getopt(argc, argv, "hd")) != -1) {
    switch (opt) {
    case 'h':
      fprintf(stderr, "Usage: battwd [-d]\n");
      exit(EXIT_FAILURE);
    case 'd':
      daemon_flag = 1;
      break;
    default:
      fprintf(stderr, "Usage: battwd [-d]\n");
      exit(EXIT_FAILURE);
    }
  }
  
  exit(run_daemon());
}
